Index: npl/kernel/drbd8/drbd8.build
===================================================================
--- npl/kernel/drbd8/drbd8.build	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/drbd8/drbd8.build	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-6554
+6555
Index: npl/kernel/drbd8/drbd8.depver
===================================================================
--- npl/kernel/drbd8/drbd8.depver	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/drbd8/drbd8.depver	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,3 +1,3 @@
 linux	0
-linux_src	409149001
+linux_src	409184001
 linux_headers	0
Index: npl/kernel/drbd8/drbd8.md5
===================================================================
--- npl/kernel/drbd8/drbd8.md5	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/drbd8/drbd8.md5	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -3,7 +3,7 @@
 aabd6c255cdf11d341c862ed65c64f53  ./drbd-8.4.7-1.tar.gz
 1e55a2659d0ade21f3ec3c31b8669afc  ./drbd-8.4.8-1.tar.gz
-d0778679aa0290dee0551b7323101077  ./drbd8.pkg
+e689f63cd76b69149444756a86341ec2  ./drbd8.pkg
 9eb8ea2f59178e4a616392e9d02be3e0  ./drbd8.SlackBuild
-6622c816481407222a4054b1d5c3bedf  ./drbd8.SlackBuild.log.gz
+a0f5e8f4aba64ce032997fe62a37c4a2  ./drbd8.SlackBuild.log.gz
 7aea41ce9a260371e6b6e5d254b7063b  ./post.drbd
 2e44be0727010c5da61039e63c7a2575  ./services.drbd
Index: npl/kernel/drv_dahdi/drv_dahdi.build
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.build	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/drv_dahdi/drv_dahdi.build	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-6552
+6553
Index: npl/kernel/drv_dahdi/drv_dahdi.depver
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.depver	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/drv_dahdi/drv_dahdi.depver	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,4 +1,4 @@
 linux	0
-linux_src	409149001
+linux_src	409184001
 linux_headers	0
 linux	0
Index: npl/kernel/drv_dahdi/drv_dahdi.md5
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.md5	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/drv_dahdi/drv_dahdi.md5	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,7 +1,7 @@
 7ab7b781c0eeba1522c56f49222d2627  ./dahdi
 af96917e15eebc36519948133ec7e36b  ./dahdi-linux-2.11.1.tar.gz
-cf52345b4c6a58467ab7d6c4a9321060  ./drv_dahdi_dev.pkg
-b9eb5d69984cdb6680fd2228ec2250f7  ./drv_dahdi.pkg
+f478d034bbbfa078ccd1be6dae5d5125  ./drv_dahdi_dev.pkg
+efd04a4875b602591cb7bf9862c98689  ./drv_dahdi.pkg
 8aeaed44b83e1ed8f56a6981afad6898  ./drv_dahdi.SlackBuild
-1ba75c214384109033c946f0cf32d57a  ./drv_dahdi.SlackBuild.log.gz
+1ad273c124c23b5edf6a113f8e9fa9b4  ./drv_dahdi.SlackBuild.log.gz
 b5476f7778add5f5e85a4c898da3ba49  ./post.dahdi
Index: npl/kernel/drv_dahdi/drv_dahdi_dev.build
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi_dev.build	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/drv_dahdi/drv_dahdi_dev.build	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-6552
+6553
Index: npl/kernel/drv_e1000e/drv_e1000e.build
===================================================================
--- npl/kernel/drv_e1000e/drv_e1000e.build	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/drv_e1000e/drv_e1000e.build	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-6553
+6554
Index: npl/kernel/drv_e1000e/drv_e1000e.depver
===================================================================
--- npl/kernel/drv_e1000e/drv_e1000e.depver	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/drv_e1000e/drv_e1000e.depver	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,3 +1,3 @@
-linux_src	409149001
+linux_src	409184001
 linux_headers	0
 linux	0
Index: npl/kernel/drv_e1000e/drv_e1000e.md5
===================================================================
--- npl/kernel/drv_e1000e/drv_e1000e.md5	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/drv_e1000e/drv_e1000e.md5	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,5 +1,5 @@
-d5282f3a7d01229cc50cc2a4a452d46d  ./drv_e1000e.pkg
+6396109b755be13d641f99075c9dd411  ./drv_e1000e.pkg
 88591d173bd140bdf1501109f16ee4cc  ./drv_e1000e.SlackBuild
-8d7d90df8944ff5ca6432705424aafea  ./drv_e1000e.SlackBuild.log.gz
+e2ab83c875a7c290531c21e370704cc6  ./drv_e1000e.SlackBuild.log.gz
 5c6d010341868f753cf983cbe4467db5  ./e1000e-3.3.4.tar.gz
 7503911b5cbe0b654406b791dd768874  ./e1000e-3.4.2.1.tar.gz
Index: npl/kernel/drv_pf_ring/drv_pf_ring.build
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.build	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.build	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-7
+8
Index: npl/kernel/drv_pf_ring/drv_pf_ring.depver
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.depver	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.depver	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,2 +1,2 @@
-linux_src	409149001
+linux_src	409184001
 linux	0
Index: npl/kernel/drv_pf_ring/drv_pf_ring.md5
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.md5	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.md5	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,5 +1,5 @@
-058f40d5128a81e42174f850812b4f69  ./drv_pf_ring_dev.pkg
-a46beee5fe77d18ee1b42deea68608fb  ./drv_pf_ring.pkg
+ade8953b896a22765cdd0bf77714c81c  ./drv_pf_ring_dev.pkg
+389f6dda0be51bb5e77b58533223fcca  ./drv_pf_ring.pkg
 8ab1d083c9ef0fea7a2d5fb2663252e1  ./drv_pf_ring.SlackBuild
-62fd76ce80ad6dfde673c78aec10d0ff  ./drv_pf_ring.SlackBuild.log.gz
+ac6f40c47644899747ebcd16483e5a2f  ./drv_pf_ring.SlackBuild.log.gz
 4199f896b822fbe87afc76c31505c371  ./pf-ring-6.6.0.tar.gz
Index: npl/kernel/drv_pf_ring/drv_pf_ring_dev.build
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring_dev.build	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/drv_pf_ring/drv_pf_ring_dev.build	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-7
+8
Index: npl/kernel/initrd/initrd.build
===================================================================
--- npl/kernel/initrd/initrd.build	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/initrd/initrd.build	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-6556
+6557
Index: npl/kernel/initrd/initrd.depver
===================================================================
--- npl/kernel/initrd/initrd.depver	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/initrd/initrd.depver	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -2,5 +2,5 @@
 xfsprogs	1
 linux	0
-linux_src	409149001
+linux_src	409184001
 lvm2	0
 pciutils	0
Index: npl/kernel/initrd/initrd.md5
===================================================================
--- npl/kernel/initrd/initrd.md5	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/initrd/initrd.md5	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,3 +1,3 @@
-3ff3ed0490ca2da876e6a3d81221325f  ./initrd.pkg
+482a8308ac038bf58ce50778645dac58  ./initrd.pkg
 3a4c9fa2a61eb4a5e3a79ca0042e9792  ./initrd.SlackBuild
 3c1ba83b906d1fe77db9175aefe6581c  ./post.initrd
Index: npl/kernel/initrd/initrd.version
===================================================================
--- npl/kernel/initrd/initrd.version	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/initrd/initrd.version	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-4.9.149_bigmem_syn3
+4.9.184_bigmem_syn3
Index: npl/kernel/linux/linux.build
===================================================================
--- npl/kernel/linux/linux.build	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/linux/linux.build	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-6554
+6555
Index: npl/kernel/linux/linux.depver
===================================================================
--- npl/kernel/linux/linux.depver	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/linux/linux.depver	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-linux_src	409149001
+linux_src	409184001
Index: npl/kernel/linux/linux.md5
===================================================================
--- npl/kernel/linux/linux.md5	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/linux/linux.md5	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,4 +1,4 @@
-e0ca2dd6cfc4b086e006428a678865ac  ./linux.pkg
+47c213b54b7e8ee842fc24ba3c93583c  ./linux.pkg
 67f6acaa0cb7027b29eed0b2e4cbea30  ./linux.SlackBuild
-cefa1eebf572204bfc0538f1c0c8ee8d  ./linux.SlackBuild.log.gz
+8ec397d9075dda4c204642e18b111933  ./linux.SlackBuild.log.gz
 7fe139c0b2be4f799bf8012284fef9ff  ./post.linux
Index: npl/kernel/linux/linux.version
===================================================================
--- npl/kernel/linux/linux.version	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/linux/linux.version	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-4.9.149_bigmem_syn3
+4.9.184_bigmem_syn3
Index: npl/kernel/linux_headers/linux_headers.build
===================================================================
--- npl/kernel/linux_headers/linux_headers.build	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/linux_headers/linux_headers.build	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-6553
+6554
Index: npl/kernel/linux_headers/linux_headers.depver
===================================================================
--- npl/kernel/linux_headers/linux_headers.depver	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/linux_headers/linux_headers.depver	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-linux_src	409149001
+linux_src	409184001
Index: npl/kernel/linux_headers/linux_headers.md5
===================================================================
--- npl/kernel/linux_headers/linux_headers.md5	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/linux_headers/linux_headers.md5	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,3 +1,3 @@
-1fe8ec3ca9db4b8486bdcc539c85cfb2  ./linux_headers.pkg
+68899c76b16d937ba50a3f9e6a9ee1a0  ./linux_headers.pkg
 0f51cde2bbc4cbe006abcf63844e28c7  ./linux_headers.SlackBuild
-0202a16dccf3b42ee4b7ae1850c72dfe  ./linux_headers.SlackBuild.log.gz
+97d2c6153a442481b7a7366ecc5fd37d  ./linux_headers.SlackBuild.log.gz
Index: npl/kernel/linux_headers/linux_headers.version
===================================================================
--- npl/kernel/linux_headers/linux_headers.version	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/linux_headers/linux_headers.version	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-4.9.149_bigmem_syn3
+4.9.184_bigmem_syn3
Index: npl/kernel/linux_src/linux_src.SlackBuild
===================================================================
--- npl/kernel/linux_src/linux_src.SlackBuild	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/linux_src/linux_src.SlackBuild	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -18,5 +18,5 @@
 #if you want to create a newer kernel: just download newest patches, and increase patchlevel
 #also increase .major file to trigger rebuilds!
-PATCHLEVEL=149
+PATCHLEVEL=184
 VER=4.9.$PATCHLEVEL
 #bunzip2 $CWD/patch-$VER.bz2 || exit 1
Index: npl/kernel/linux_src/linux_src.build
===================================================================
--- npl/kernel/linux_src/linux_src.build	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/linux_src/linux_src.build	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-6558
+6559
Index: npl/kernel/linux_src/linux_src.major
===================================================================
--- npl/kernel/linux_src/linux_src.major	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/linux_src/linux_src.major	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,2 +1,2 @@
-409149001
+409184001
 
Index: npl/kernel/linux_src/linux_src.md5
===================================================================
--- npl/kernel/linux_src/linux_src.md5	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/linux_src/linux_src.md5	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -3,12 +3,8 @@
 8b7ca23aa660578023a0a244ae235888  ./fbcondecor-3.19.patch
 467d0a59ae2bfe466a370d65768b8ace  ./linux-4.4.5-imq.diff
-9a78fa2eb6c68ca5a40ed5af08142599  ./linux-4.4.tar.xz
 6b10d4581a7f626ea0634ce0e2ad0250  ./linux-4.9-imq.diff
 0a68ef3615c64bd5ee54a3320e46667d  ./linux-4.9.tar.xz
-4f9feea78b058e676574848e108fe594  ./linux_src.pkg
-6b66e4b02a92e6d643336d7969031116  ./linux_src.SlackBuild
-accffe59dd330ecf4330ee17cdc8b662  ./linux_src.SlackBuild.log.gz
-dcfc0db36564de7afa191888d77d667c  ./patch-4.4.165.xz
-706589ba15cc3b1635c8bb1bc8938b14  ./patch-4.4.72.xz
-2440673308ee069058e273517db635d2  ./patch-4.9.141.xz
-3f6f4513701ef63c8afdce3ebc917393  ./patch-4.9.149.xz
+050b5d1edfca278b44bc835d1d9e0c8b  ./linux_src.pkg
+462faa0deea30352c2a7f53733e4df5d  ./linux_src.SlackBuild
+243350fff74f56ceafa96dec612e8224  ./linux_src.SlackBuild.log.gz
+a64148a9d7dc6ba241790f3cb320a9d7  ./patch-4.9.184.xz
Index: npl/kernel/linux_src/linux_src.version
===================================================================
--- npl/kernel/linux_src/linux_src.version	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/linux_src/linux_src.version	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-4.9.149_bigmem_syn3
+4.9.184_bigmem_syn3
Index: npl/kernel/open_vm_tools/open_vm_tools.build
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.build	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/open_vm_tools/open_vm_tools.build	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-6553
+6554
Index: npl/kernel/open_vm_tools/open_vm_tools.depver
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.depver	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/open_vm_tools/open_vm_tools.depver	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,4 +1,4 @@
 linux	0
-linux_src	409149001
+linux_src	409184001
 glib2	2
 procps_ng	0
Index: npl/kernel/open_vm_tools/open_vm_tools.md5
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.md5	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/open_vm_tools/open_vm_tools.md5	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,5 +1,5 @@
 2af26884a7ac37f63a8dd46da91ce205  ./open-vm-tools-10.3.5-10430147.tar.gz
-462e4834c33e070858a4bebae1ff12ae  ./open_vm_tools_dev.pkg
-c235379a370cf150636e90526789be6c  ./open_vm_tools.pkg
+d267270fc0f71cb3a50f28bfdb9b5383  ./open_vm_tools_dev.pkg
+91030155863ba56cbf63a8c7ca98f7db  ./open_vm_tools.pkg
 ca02f86a7073e3008815c2ba435a9082  ./open_vm_tools.SlackBuild
-2c93c26c72826e940315d657bd117b23  ./open_vm_tools.SlackBuild.log.gz
+94d3b3fa3533a31586628c27992b0b11  ./open_vm_tools.SlackBuild.log.gz
Index: npl/kernel/open_vm_tools/open_vm_tools_dev.build
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools_dev.build	(revision 08cf024d6b1c46b3b4b0f80ca6b9f600c80fb77d)
+++ npl/kernel/open_vm_tools/open_vm_tools_dev.build	(revision 0e62558594d90eb9a5c49f188082d0b192ba0efd)
@@ -1,1 +1,1 @@
-6553
+6554