Index: npl/kernel/drbd8/drbd8.build
===================================================================
--- npl/kernel/drbd8/drbd8.build	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/drbd8/drbd8.build	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-6562
+6566
Index: npl/kernel/drbd8/drbd8.depver
===================================================================
--- npl/kernel/drbd8/drbd8.depver	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/drbd8/drbd8.depver	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,3 +1,3 @@
 linux	0
-linux_src	414172001
+linux_src	414250001
 linux_headers	0
Index: npl/kernel/drbd8/drbd8.md5
===================================================================
--- npl/kernel/drbd8/drbd8.md5	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/drbd8/drbd8.md5	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -3,7 +3,7 @@
 aabd6c255cdf11d341c862ed65c64f53  ./drbd-8.4.7-1.tar.gz
 1e55a2659d0ade21f3ec3c31b8669afc  ./drbd-8.4.8-1.tar.gz
-0de862db2e479a426631a57dbec74d2b  ./drbd8.pkg
+31a4eafc5860970b7529a700cb2969d2  ./drbd8.pkg
 9eb8ea2f59178e4a616392e9d02be3e0  ./drbd8.SlackBuild
-865d9bc3ee7d37a4be438a1aa30baa57  ./drbd8.SlackBuild.log.gz
+fa71b1d94684c0a3f165a4a371111edd  ./drbd8.SlackBuild.log.gz
 7aea41ce9a260371e6b6e5d254b7063b  ./post.drbd
 2e44be0727010c5da61039e63c7a2575  ./services.drbd
Index: npl/kernel/drv_dahdi/drv_dahdi.build
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.build	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/drv_dahdi/drv_dahdi.build	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-6560
+6562
Index: npl/kernel/drv_dahdi/drv_dahdi.depver
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.depver	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/drv_dahdi/drv_dahdi.depver	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,4 +1,4 @@
 linux	0
-linux_src	414172001
+linux_src	414250001
 linux_headers	0
 linux	0
Index: npl/kernel/drv_dahdi/drv_dahdi.md5
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.md5	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/drv_dahdi/drv_dahdi.md5	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,9 +1,8 @@
 7ab7b781c0eeba1522c56f49222d2627  ./dahdi
 af96917e15eebc36519948133ec7e36b  ./dahdi-linux-2.11.1.tar.gz
-0e0a7f18bda5f97dcd22369645234231  ./dahdi-linux-complete-3.0.0+3.0.0.tar.gz
 04f04b7986ad5fedd5d5602d55764015  ./dahdi-linux-complete-3.1.0+3.1.0.tar.gz
-0cc7dd576f609e0b71575ded975151ee  ./drv_dahdi_dev.pkg
-86471f77eb0bfec762e195b111ae160a  ./drv_dahdi.pkg
+e2ac1b4435a40fb597cb8c926527b033  ./drv_dahdi_dev.pkg
+d3a887a1cf8922c70a39b2ff3d3a5f3d  ./drv_dahdi.pkg
 355b424b5e6dbea5e7888c316f26d16c  ./drv_dahdi.SlackBuild
-6979b57c5166b7bf29586e8245ae036e  ./drv_dahdi.SlackBuild.log.gz
+b176d72348cfc23e348107c6589b1cc0  ./drv_dahdi.SlackBuild.log.gz
 b5476f7778add5f5e85a4c898da3ba49  ./post.dahdi
Index: npl/kernel/drv_dahdi/drv_dahdi_dev.build
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi_dev.build	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/drv_dahdi/drv_dahdi_dev.build	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-6560
+6562
Index: npl/kernel/drv_e1000e/drv_e1000e.build
===================================================================
--- npl/kernel/drv_e1000e/drv_e1000e.build	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/drv_e1000e/drv_e1000e.build	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-6561
+6565
Index: npl/kernel/drv_e1000e/drv_e1000e.depver
===================================================================
--- npl/kernel/drv_e1000e/drv_e1000e.depver	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/drv_e1000e/drv_e1000e.depver	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,3 +1,3 @@
-linux_src	414172001
+linux_src	414250001
 linux_headers	0
 linux	0
Index: npl/kernel/drv_e1000e/drv_e1000e.md5
===================================================================
--- npl/kernel/drv_e1000e/drv_e1000e.md5	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/drv_e1000e/drv_e1000e.md5	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,5 +1,5 @@
-83c7c4c34689af2b0f6aae3f55385ce5  ./drv_e1000e.pkg
+bd7a5a6d34da7ae11d18e27621395621  ./drv_e1000e.pkg
 88591d173bd140bdf1501109f16ee4cc  ./drv_e1000e.SlackBuild
-887fb9b9f3dac3b7cae437ea21bb646c  ./drv_e1000e.SlackBuild.log.gz
+4960de18893eb813a0717dc0d86986fb  ./drv_e1000e.SlackBuild.log.gz
 5c6d010341868f753cf983cbe4467db5  ./e1000e-3.3.4.tar.gz
 7503911b5cbe0b654406b791dd768874  ./e1000e-3.4.2.1.tar.gz
Index: npl/kernel/drv_i40e/drv_i40e.SlackBuild
===================================================================
--- npl/kernel/drv_i40e/drv_i40e.SlackBuild	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
+++ npl/kernel/drv_i40e/drv_i40e.SlackBuild	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -0,0 +1,29 @@
+#!/bin/sh
+#DEP:linux_src
+#DEP:linux_headers
+#DEP:linux
+
+CWD=`pwd`
+TMP=/$CWD/tmp
+PKG=/tmp/pkg
+mkdir -p $PKG
+mkdir $TMP
+
+VERSION=2.16.11
+ARCH=${ARCH:-i486}
+
+cd $TMP
+tar -xzf $CWD/i40e-$VERSION.tar.gz || exit 1
+cd i40e-$VERSION/src || exit 1
+
+make || exit 1
+#make INSTALL_MOD_PATH=/tmp/pkg install || exit 1
+mkdir -p /tmp/pkg/lib/modules/`uname -r`/extra || exit 1
+cp *ko /tmp/pkg/lib/modules/`uname -r`/extra || exit 1
+
+#package maken
+cd $PKG
+NAME=`echo $0|cut -f2 -d'.'`
+makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+echo $VERSION > $CWD/$NAME.version &&
+arch > $CWD/$NAME.arch 
Index: npl/kernel/drv_i40e/drv_i40e.arch
===================================================================
--- npl/kernel/drv_i40e/drv_i40e.arch	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
+++ npl/kernel/drv_i40e/drv_i40e.arch	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -0,0 +1,1 @@
+i586
Index: npl/kernel/drv_i40e/drv_i40e.build
===================================================================
--- npl/kernel/drv_i40e/drv_i40e.build	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
+++ npl/kernel/drv_i40e/drv_i40e.build	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -0,0 +1,1 @@
+2
Index: npl/kernel/drv_i40e/drv_i40e.depver
===================================================================
--- npl/kernel/drv_i40e/drv_i40e.depver	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
+++ npl/kernel/drv_i40e/drv_i40e.depver	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -0,0 +1,3 @@
+linux_src	414250001
+linux_headers	0
+linux	0
Index: npl/kernel/drv_i40e/drv_i40e.md5
===================================================================
--- npl/kernel/drv_i40e/drv_i40e.md5	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
+++ npl/kernel/drv_i40e/drv_i40e.md5	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -0,0 +1,4 @@
+7486db85709ac658702f2ca42c3fa713  ./drv_i40e.pkg
+e49deb00b31e0e39dd5a10e48b505f96  ./drv_i40e.SlackBuild
+d62131c772b6710fdf2733097f3c964c  ./drv_i40e.SlackBuild.log.gz
+60cdb7d87d448a4d4259528d09d7636a  ./i40e-2.16.11.tar.gz
Index: npl/kernel/drv_i40e/drv_i40e.version
===================================================================
--- npl/kernel/drv_i40e/drv_i40e.version	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
+++ npl/kernel/drv_i40e/drv_i40e.version	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -0,0 +1,1 @@
+2.16.11
Index: npl/kernel/drv_pf_ring/drv_pf_ring.build
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.build	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.build	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-15
+19
Index: npl/kernel/drv_pf_ring/drv_pf_ring.depver
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.depver	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.depver	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,2 +1,2 @@
-linux_src	414172001
+linux_src	414250001
 linux	0
Index: npl/kernel/drv_pf_ring/drv_pf_ring.md5
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.md5	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.md5	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,5 +1,5 @@
-9d6e34ed799614027851b6972c9e24de  ./drv_pf_ring_dev.pkg
-7279192cbb66d964f45e4d2f102cc751  ./drv_pf_ring.pkg
+45365f5dc3f1d870604bc3d3577b84b5  ./drv_pf_ring_dev.pkg
+4d5ccf060165db4588561c5dbd440529  ./drv_pf_ring.pkg
 8ab1d083c9ef0fea7a2d5fb2663252e1  ./drv_pf_ring.SlackBuild
-61772acfbbf5079a52786ee9706517d2  ./drv_pf_ring.SlackBuild.log.gz
+963701eacaa12d207b8e1d40501a0c5e  ./drv_pf_ring.SlackBuild.log.gz
 4199f896b822fbe87afc76c31505c371  ./pf-ring-6.6.0.tar.gz
Index: npl/kernel/drv_pf_ring/drv_pf_ring_dev.build
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring_dev.build	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/drv_pf_ring/drv_pf_ring_dev.build	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-15
+19
Index: npl/kernel/initrd/initrd.build
===================================================================
--- npl/kernel/initrd/initrd.build	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/initrd/initrd.build	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-6564
+6568
Index: npl/kernel/initrd/initrd.depver
===================================================================
--- npl/kernel/initrd/initrd.depver	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/initrd/initrd.depver	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -2,5 +2,5 @@
 xfsprogs	1
 linux	0
-linux_src	414172001
+linux_src	414250001
 lvm2	0
 pciutils	0
Index: npl/kernel/initrd/initrd.md5
===================================================================
--- npl/kernel/initrd/initrd.md5	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/initrd/initrd.md5	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,3 +1,3 @@
-01603ad6be5dc1d50af7e5ce256dfc0a  ./initrd.pkg
+177f6df85a4ca56011957fdd852ac95c  ./initrd.pkg
 3a4c9fa2a61eb4a5e3a79ca0042e9792  ./initrd.SlackBuild
 3c1ba83b906d1fe77db9175aefe6581c  ./post.initrd
Index: npl/kernel/initrd/initrd.version
===================================================================
--- npl/kernel/initrd/initrd.version	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/initrd/initrd.version	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-4.14.172_bigmem_syn3
+4.14.206_bigmem_syn3
Index: npl/kernel/linux/linux.build
===================================================================
--- npl/kernel/linux/linux.build	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/linux/linux.build	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-6562
+6566
Index: npl/kernel/linux/linux.depver
===================================================================
--- npl/kernel/linux/linux.depver	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/linux/linux.depver	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-linux_src	414172001
+linux_src	414250001
Index: npl/kernel/linux/linux.md5
===================================================================
--- npl/kernel/linux/linux.md5	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/linux/linux.md5	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,4 +1,4 @@
-dca8f3a48be1d159556058b0f8a00e94  ./linux.pkg
+9ff987c60cbe49ea26bd289ac261f19c  ./linux.pkg
 67f6acaa0cb7027b29eed0b2e4cbea30  ./linux.SlackBuild
-9d438875b18e49423970c36926ad2cd8  ./linux.SlackBuild.log.gz
+7db393cd956033c8a80e6ae99535521b  ./linux.SlackBuild.log.gz
 7fe139c0b2be4f799bf8012284fef9ff  ./post.linux
Index: npl/kernel/linux/linux.version
===================================================================
--- npl/kernel/linux/linux.version	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/linux/linux.version	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-4.14.172_bigmem_syn3
+4.14.206_bigmem_syn3
Index: npl/kernel/linux_headers/linux_headers.build
===================================================================
--- npl/kernel/linux_headers/linux_headers.build	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/linux_headers/linux_headers.build	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-6561
+6565
Index: npl/kernel/linux_headers/linux_headers.depver
===================================================================
--- npl/kernel/linux_headers/linux_headers.depver	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/linux_headers/linux_headers.depver	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-linux_src	414172001
+linux_src	414250001
Index: npl/kernel/linux_headers/linux_headers.md5
===================================================================
--- npl/kernel/linux_headers/linux_headers.md5	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/linux_headers/linux_headers.md5	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,3 +1,3 @@
-c7fbb21760582142b38d3aa6ea1d7f9c  ./linux_headers.pkg
+14f02b8e0f89f9868cfc335858aa78f2  ./linux_headers.pkg
 0f51cde2bbc4cbe006abcf63844e28c7  ./linux_headers.SlackBuild
-abea14264632a3d958ab81597cdc7178  ./linux_headers.SlackBuild.log.gz
+34539a92a82648be5c02119fafe94f99  ./linux_headers.SlackBuild.log.gz
Index: npl/kernel/linux_headers/linux_headers.version
===================================================================
--- npl/kernel/linux_headers/linux_headers.version	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/linux_headers/linux_headers.version	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-4.14.172_bigmem_syn3
+4.14.206_bigmem_syn3
Index: npl/kernel/linux_src/linux_src.SlackBuild
===================================================================
--- npl/kernel/linux_src/linux_src.SlackBuild	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/linux_src/linux_src.SlackBuild	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -18,5 +18,5 @@
 #if you want to create a newer kernel: just download newest patches, and increase patchlevel
 #also increase .major file to trigger rebuilds!
-PATCHLEVEL=172
+PATCHLEVEL=206
 VER=4.14.$PATCHLEVEL
 #bunzip2 $CWD/patch-$VER.bz2 || exit 1
@@ -47,5 +47,5 @@
 #from https://dev.gentoo.org/~mpagano/genpatches/patches-4.9-143.html
 #https://dev.gentoo.org/~mpagano/genpatches/patches-4.14-182.html
-patch  -p1 < $CWD/4200_fbcondecor.patch || exit 1
+patch  -F3 -p1 < $CWD/4200_fbcondecor.patch || exit 1
 
 
Index: npl/kernel/linux_src/linux_src.build
===================================================================
--- npl/kernel/linux_src/linux_src.build	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/linux_src/linux_src.build	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-6567
+6572
Index: npl/kernel/linux_src/linux_src.major
===================================================================
--- npl/kernel/linux_src/linux_src.major	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/linux_src/linux_src.major	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,2 +1,2 @@
-414172001
+414250001
 
Index: npl/kernel/linux_src/linux_src.md5
===================================================================
--- npl/kernel/linux_src/linux_src.md5	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/linux_src/linux_src.md5	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,14 +1,11 @@
 8e12dfcbf36f937747e1fb36b115c14b  ./4200_fbcondecor.patch
 c020bdeb4d74c11d59a479ccb2a848b4  ./config
-8b7ca23aa660578023a0a244ae235888  ./fbcondecor-3.19.patch
+c5b705b955dfaf0570576fec77d2c6d5  ./config32
+9d2c9119b0fd4cc20616970d1ad408c0  ./config64
 914a5254c91f2564a7654c2180f4e911  ./linux-4.14-imq.diff
 bacdb9ffdcd922aa069a5e1520160e24  ./linux-4.14.tar.xz
-467d0a59ae2bfe466a370d65768b8ace  ./linux-4.4.5-imq.diff
-6b10d4581a7f626ea0634ce0e2ad0250  ./linux-4.9-imq.diff
-0a68ef3615c64bd5ee54a3320e46667d  ./linux-4.9.tar.xz
-0c49be6828fc56d490cf0e33c045edae  ./linux_src.pkg
-783aa6b6e7734ef62d98f19d350448e7  ./linux_src.SlackBuild
-94822d59f44255707e84dedde44dbc25  ./linux_src.SlackBuild.log.gz
-4ae0221e47d6329233c38875ec0b090a  ./patch-4.14.172.xz
-a64148a9d7dc6ba241790f3cb320a9d7  ./patch-4.9.184.xz
-1cf03959fb7ab6bf20bbc87993631bce  ./patch-4.9.215.xz
+35958c76d73b836ab8462d56d3638981  ./linux_src.pkg
+3fc2d8f931703ab3a0d372062aaadfa0  ./linux_src.SlackBuild
+79722e326a952440f637541ac7f4ad87  ./linux_src.SlackBuild.log.gz
+67928983c499e1bca70005677c119765  ./patch-4.14.206.xz
+3ed45da7488d211d38b1d85334cc22c5  ./patch-4.14.250.xz
Index: npl/kernel/linux_src/linux_src.version
===================================================================
--- npl/kernel/linux_src/linux_src.version	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/linux_src/linux_src.version	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-4.14.172_bigmem_syn3
+4.14.206_bigmem_syn3
Index: npl/kernel/open_vm_tools/open_vm_tools.build
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.build	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/open_vm_tools/open_vm_tools.build	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-6561
+6565
Index: npl/kernel/open_vm_tools/open_vm_tools.depver
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.depver	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/open_vm_tools/open_vm_tools.depver	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,4 +1,4 @@
 linux	0
-linux_src	414172001
+linux_src	414250001
 glib2	2
 procps_ng	0
Index: npl/kernel/open_vm_tools/open_vm_tools.md5
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.md5	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/open_vm_tools/open_vm_tools.md5	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,5 +1,5 @@
 2af26884a7ac37f63a8dd46da91ce205  ./open-vm-tools-10.3.5-10430147.tar.gz
-c3f2a547de9892348bcfc3a5732a50ff  ./open_vm_tools_dev.pkg
-84d5decf161b7b9903d98a84863ccc30  ./open_vm_tools.pkg
+e2e9c778a7c142e9b91bef1d2c3424bc  ./open_vm_tools_dev.pkg
+0a2258494411851860a924d4f89e4e66  ./open_vm_tools.pkg
 ca02f86a7073e3008815c2ba435a9082  ./open_vm_tools.SlackBuild
-37054e91964ca955ebe5727a9268aad4  ./open_vm_tools.SlackBuild.log.gz
+cdce4c5b66c01e2ae444a6d253a993fd  ./open_vm_tools.SlackBuild.log.gz
Index: npl/kernel/open_vm_tools/open_vm_tools_dev.build
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools_dev.build	(revision 62266ed1f5c3f295057b01354dc256e01c72cefc)
+++ npl/kernel/open_vm_tools/open_vm_tools_dev.build	(revision 1bce4e1e4533857150a39e9d40a5f6deeeed6f2e)
@@ -1,1 +1,1 @@
-6561
+6565