Index: npl/syn3/webint/src/activatie/menuman.php
===================================================================
--- npl/syn3/webint/src/activatie/menuman.php	(revision cf6b9ba348f569e1dc986a9fc78b16cc80711bfb)
+++ npl/syn3/webint/src/activatie/menuman.php	(revision 4d96a658705fd583047579abbca3cb378dddfb7f)
@@ -1,4 +1,4 @@
 <?
-/* 
+/*
 (C) 2004-2013 DatuX - info@datux.nl
 
@@ -18,4 +18,3 @@
 
 IncludeLang(__FILE__);
-Menu_AddSub("syn3",	40,	_Activation(),		"activatie/showlicense.php");
-
+Menu_AddSub("syn3",	10,	_Activation(),		"activatie/showlicense.php");
Index: npl/syn3/webint/src/login/login.php
===================================================================
--- npl/syn3/webint/src/login/login.php	(revision cf6b9ba348f569e1dc986a9fc78b16cc80711bfb)
+++ npl/syn3/webint/src/login/login.php	(revision 4d96a658705fd583047579abbca3cb378dddfb7f)
@@ -1,3 +1,3 @@
-<? 
+<?
 /*
 
@@ -55,5 +55,5 @@
 	}
 	$chk_passwd=$passwds[$new_name];
-	
+
 	//only root is allowed to log in at this moment
 	if( $chk_passwd && $new_name=="root" )
@@ -70,5 +70,5 @@
 		//type2 shadow
 		else $crypt_passwd = crypt( $new_passwd, substr( $chk_passwd, 0, 2 ) );
-		
+
 		//compare crypted password with chk_passwd from shado
 		if( strcmp( $crypt_passwd, $chk_passwd ) != 0 )
@@ -85,5 +85,5 @@
 
 			LogInfo(_UserLoggedIn());
-		
+
 			//where to go from this point?
 			Wizard_Check();
@@ -93,5 +93,5 @@
 				Redirect($_GET[target]);
 			else
-				Redirect("../updates/listupdates.php");
+				Redirect("../monitoring/listalerts.php");
 		}
 	}
@@ -106,10 +106,10 @@
 	<? FormStart(_WelcomeToSyn3On($_SERVER['SERVER_NAME'])); ?>
 		<table cellspacing="10" >
-			<?	
+			<?
 			if ($_GET[error])
 			{
 				echo "<tr><td colspan=2><strong>".$_GET[error]."</strong></td></tr>";
 			}
-			?>		
+			?>
 			<tr><td><?= _LoginName() ?></td><td>
 			<? InputText("new_name",$errors,"new_passwd"); ?>
@@ -117,8 +117,8 @@
 			<tr><td><?= _Password() ?></td><td>
 			<? InputPasswd("new_passwd",$errors); ?>
-			<tr><td>&nbsp;</td><td>		
+			<tr><td>&nbsp;</td><td>
 			<? Button("login", _Login() ); ?>
-			</td></tr>	
-		</table>		
+			</td></tr>
+		</table>
 	<? FormEnd(); ?>
 <? Foot(); ?>
Index: npl/syn3/webint/src/updates/menuman.php
===================================================================
--- npl/syn3/webint/src/updates/menuman.php	(revision cf6b9ba348f569e1dc986a9fc78b16cc80711bfb)
+++ npl/syn3/webint/src/updates/menuman.php	(revision 4d96a658705fd583047579abbca3cb378dddfb7f)
@@ -1,4 +1,4 @@
 <?
-/* 
+/*
 (C) 2004-2013 DatuX - info@datux.nl
 
@@ -18,7 +18,7 @@
 
 
-	IncludeLang(__FILE__);	
-	
+	IncludeLang(__FILE__);
+
 	$main="syn3";
 	Menu_AddMain($main,	5,	_MenuSyn3(), '', "../img/menutab_$main.gif");
-	Menu_AddSub($main,	10,	_SimpellinuxUpdates(),	"updates/listupdates.php","S" );
+	Menu_AddSub($main,	40,	_SimpellinuxUpdates(),	"updates/listupdates.php","S" );
Index: npl/syn3/webint/webint.build
===================================================================
--- npl/syn3/webint/webint.build	(revision cf6b9ba348f569e1dc986a9fc78b16cc80711bfb)
+++ npl/syn3/webint/webint.build	(revision 4d96a658705fd583047579abbca3cb378dddfb7f)
@@ -1,1 +1,1 @@
-6569
+6570
Index: npl/syn3/webint/webint.md5
===================================================================
--- npl/syn3/webint/webint.md5	(revision cf6b9ba348f569e1dc986a9fc78b16cc80711bfb)
+++ npl/syn3/webint/webint.md5	(revision 4d96a658705fd583047579abbca3cb378dddfb7f)
@@ -51,5 +51,5 @@
 2a4a73ccf38ac0f2ab7edbbbaed26bb9  ./src/activatie/lang_ptD.php
 842e77437c1fda2b9d12fa28855d8573  ./src/activatie/lang_pt.php
-e3534d1905701677640e57cc03e08f28  ./src/activatie/menuman.php
+899edbebee61fccc2ab39cb80bd9d119  ./src/activatie/menuman.php
 66aedd9081571111d57ba1a8a55bb53d  ./src/activatie/moduleneeded.php
 1786c5cdd59a911c7e5e87262ff462f2  ./src/activatie/regclient.php
@@ -678,5 +678,5 @@
 cf67c28040e2393a3a829a0dba137ced  ./src/login/lang_ptD.php
 de79d329544b90a68655256c95edc469  ./src/login/lang_pt.php
-14d580686f354172f0f62263f518c6ef  ./src/login/login.php
+9464a1d8564ea52f457742da88e9fd74  ./src/login/login.php
 dc08f4e4db7cf0da48a273bed1762809  ./src/log/lang_deD.php
 36f27fb0d24cf567b5eb15ddffc2d9e2  ./src/log/lang_de.php
@@ -1079,5 +1079,5 @@
 409b3d3ce88bc68f503c42403087c8bf  ./src/updates/lang_pt.php
 730c01d2eb055265cce504e29dffb4d6  ./src/updates/listupdates.php
-5c3cdc87d18926a7a1265ef663d6016b  ./src/updates/menuman.php
+4ac4c896cc5aaaa40d5fd6a23feb7c41  ./src/updates/menuman.php
 7834b8fa5ea4096444daaa7b0f7220b6  ./src/updates/model.php
 21e4cf8b07098821ae8494ae0947341b  ./src/updates/mountinstaller.sh
@@ -1160,6 +1160,6 @@
 3d8b121024940b3004ca67bacb88b74e  ./updatelang.sh
 e15c0d77cf349ff3f2c55bf1b48ea567  ./upload.sh
-bdce2addb7cc2ee6576e4264a6445dc7  ./webint.pkg
+96052a8069db6a4adb15bade12539e93  ./webint.pkg
 05d46c478b4e8c14eafeb686a5b8c064  ./webint.SlackBuild
-b9e1e987d0d5f22a7d192cdeea108a23  ./webint.SlackBuild.log.gz
+d1e241fb9d550d019ce72563052dab02  ./webint.SlackBuild.log.gz
 693ffd7c59a1fe2b34276bec14f3ebfb  ./zones.conf