Index: npl/fileserver/samba/samba.build
===================================================================
--- npl/fileserver/samba/samba.build	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
+++ npl/fileserver/samba/samba.build	(revision 6f166c4d68440b0459fe8e5a88808ead685d099e)
@@ -1,1 +1,1 @@
-6526
+6527
Index: npl/fileserver/samba/samba.md5
===================================================================
--- npl/fileserver/samba/samba.md5	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
+++ npl/fileserver/samba/samba.md5	(revision 6f166c4d68440b0459fe8e5a88808ead685d099e)
@@ -2,10 +2,10 @@
 31fa0fb150a1fe9aa45b3c939c7e4e93  ./pytalloc-util.pc
 a8da7559824fe5889f2dad4cc1825742  ./rc.samba
-056d3c765904c71c2e3c65f664f207d7  ./samba-4.4.6.tar.gz
-e36060213bd2488d23a8e60be3212d2b  ./samba_dev.pkg
+79d820efee339bac1254f076c871407b  ./samba-4.4.14.tar.gz
+df4a165466550093bf29165246579a35  ./samba_dev.pkg
 f547bd49a0a7ae7786d8515b06f78502  ./samba.install.talloc.tevent.tdb.diff.gz
-3de21c808c192ffb0296e178d2c6cde2  ./samba.pkg
+746544a9d5c503f94b1e45ca7f0aa546  ./samba.pkg
 099ca329d62d83c20cc3e1f01853f952  ./samba.SlackBuild
-a4f7fae3457a78696cb061567c1dbd8a  ./samba.SlackBuild.log.gz
+82e39aa437cbbf3538419f0786bd13bc  ./samba.SlackBuild.log.gz
 2fb09b1ddbc7adbf08a4d7ab70bda8a1  ./samba.SlackBuild.orig
 1ae206e7d1c5aa07a096ea0369ad3fa2  ./slack-desc
Index: npl/fileserver/samba/samba.version
===================================================================
--- npl/fileserver/samba/samba.version	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
+++ npl/fileserver/samba/samba.version	(revision 6f166c4d68440b0459fe8e5a88808ead685d099e)
@@ -1,1 +1,1 @@
-4.4.6
+4.4.14
Index: npl/fileserver/samba/samba_dev.build
===================================================================
--- npl/fileserver/samba/samba_dev.build	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
+++ npl/fileserver/samba/samba_dev.build	(revision 6f166c4d68440b0459fe8e5a88808ead685d099e)
@@ -1,1 +1,1 @@
-6526
+6527
Index: npl/fileserver/samba/samba_dev.version
===================================================================
--- npl/fileserver/samba/samba_dev.version	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
+++ npl/fileserver/samba/samba_dev.version	(revision 6f166c4d68440b0459fe8e5a88808ead685d099e)
@@ -1,1 +1,1 @@
-4.4.6
+4.4.14
Index: npl/fileserver/samba_conf/root/etc/postinst.d/post.samba
===================================================================
--- npl/fileserver/samba_conf/root/etc/postinst.d/post.samba	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
+++ npl/fileserver/samba_conf/root/etc/postinst.d/post.samba	(revision 6f166c4d68440b0459fe8e5a88808ead685d099e)
@@ -1,6 +1,13 @@
 #!/bin/sh
 
-ln -s /home/system/samba /etc/samba 2>/dev/null
-ln -s /home/system/cups /etc/cups 2>/dev/null
+#replace by symlink
+if ! [ -L /etc/cups ]; then
+	mv /etc/cups /etc/cups.old
+	ln -s /home/system/cups /etc/cups 2>/dev/null
+fi
+
+if ! [ -L /etc/samba ]; then
+	ln -s /home/system/samba /etc/samba 2>/dev/null
+fi
 
 
Index: npl/fileserver/samba_conf/samba_conf.build
===================================================================
--- npl/fileserver/samba_conf/samba_conf.build	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
+++ npl/fileserver/samba_conf/samba_conf.build	(revision 6f166c4d68440b0459fe8e5a88808ead685d099e)
@@ -1,1 +1,1 @@
-6449
+6450
Index: npl/fileserver/samba_conf/samba_conf.md5
===================================================================
--- npl/fileserver/samba_conf/samba_conf.md5	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
+++ npl/fileserver/samba_conf/samba_conf.md5	(revision 6f166c4d68440b0459fe8e5a88808ead685d099e)
@@ -1,3 +1,3 @@
-15f46e8c83dce59f12980bef8cc424cf  ./root/etc/postinst.d/post.samba
+a033a4ce66ababa9fd24f7112d8dddef  ./root/etc/postinst.d/post.samba
 c473d0d177dab192550848c30d7cbbcb  ./root/home/shares/netlogon/logon.bat.new
 38d7df09b3968b369c7b43a5cde5856e  ./root/home/system/cups/cupsd.conf.default.new
@@ -16,5 +16,5 @@
 a94682b32e8f1f709ed4c22997d5c0a7  ./root/service/smbd/run
 7f4de4630eb70bfe77bd7ccea504230f  ./root/service/winbindd/run
-fb44b6644391b58803cb08d04f902204  ./samba_conf.pkg
+403a14c31f024568be52f42360a41c3a  ./samba_conf.pkg
 ca70f70bd0e82246686e746c7bf20e21  ./samba_conf.SlackBuild
-909f186b8858664ddb15c01be1fa1a27  ./samba_conf.SlackBuild.log.gz
+be0f0ea5beceea2976ba7400308ec519  ./samba_conf.SlackBuild.log.gz