Index: npl/fileserver/git/git.SlackBuild
===================================================================
--- npl/fileserver/git/git.SlackBuild	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/fileserver/git/git.SlackBuild	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -7,4 +7,5 @@
 #DEP:openssl
 #DEP:zlib
+#DEP:python
 
 #######Essential package info.
Index: npl/fileserver/git/git.build
===================================================================
--- npl/fileserver/git/git.build	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/fileserver/git/git.build	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -1,1 +1,1 @@
-6526
+6528
Index: npl/fileserver/git/git.depver
===================================================================
--- npl/fileserver/git/git.depver	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/fileserver/git/git.depver	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -1,2 +1,3 @@
 openssl	5
 zlib	0
+python	2
Index: npl/fileserver/git/git.md5
===================================================================
--- npl/fileserver/git/git.md5	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/fileserver/git/git.md5	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -1,4 +1,4 @@
-9e0a438eb71e89eedb61f89470ed32a0  ./git-1.7.6.tar.bz2
-e03bf4530f332569e4a0fa7eaace707f  ./git.pkg
-43b4aeaef17b2ca549841822547ab116  ./git.SlackBuild
-d72980290c31dc3e86c2421a11de171b  ./git.SlackBuild.log.gz
+a84938bccf9220c7e5ec290b242ae53b  ./git-2.11.0.tar.gz
+83861121f72bac8df3b65a4518788a35  ./git.pkg
+92e8651adf2d874ef9b679547f9d4452  ./git.SlackBuild
+f9b26423a41ddc11884196fd8353549a  ./git.SlackBuild.log.gz
Index: npl/fileserver/git/git.version
===================================================================
--- npl/fileserver/git/git.version	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/fileserver/git/git.version	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -1,1 +1,1 @@
-1.7.6
+2.11.0
Index: npl/internetserver/mod_wsgi/mod_wsgi.build
===================================================================
--- npl/internetserver/mod_wsgi/mod_wsgi.build	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/internetserver/mod_wsgi/mod_wsgi.build	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -1,1 +1,1 @@
-6323
+6324
Index: npl/internetserver/mod_wsgi/mod_wsgi.md5
===================================================================
--- npl/internetserver/mod_wsgi/mod_wsgi.md5	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/internetserver/mod_wsgi/mod_wsgi.md5	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -1,4 +1,4 @@
-e5275a616b7677d49ffa7e568fefb5b1  ./mod_wsgi-4.5.2.tar.gz
-3d3c19b73324fc12c8964d4c5d71abc6  ./mod_wsgi.pkg
+1dcb46294095e1af3e60785b7427ee50  ./mod_wsgi-4.5.13.tar.gz
+e055ec2f14587b01be83bd055a82376c  ./mod_wsgi.pkg
 0b7f81978f1ad94ee064aeaea8b24d3c  ./mod_wsgi.SlackBuild
-dba9ac0b3a4701be54e46b156d10cc70  ./mod_wsgi.SlackBuild.log.gz
+de60e15dddd11dbd2b64fbb33d5d52b5  ./mod_wsgi.SlackBuild.log.gz
Index: npl/internetserver/mod_wsgi/mod_wsgi.version
===================================================================
--- npl/internetserver/mod_wsgi/mod_wsgi.version	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/internetserver/mod_wsgi/mod_wsgi.version	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -1,1 +1,1 @@
-4.5.2
+4.5.13
Index: npl/syn3/syn3_patches/post.patches
===================================================================
--- npl/syn3/syn3_patches/post.patches	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/syn3/syn3_patches/post.patches	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -16,3 +16,4 @@
 #obsolete stuff
 rm -rf /usr/lib/python2.4 /usr/lib/python2.5/ 2>/dev/null || true
+removepkg /log/packages/python_setuptools-0* 2>/dev/null || true
 
Index: npl/syn3/syn3_patches/syn3_patches.build
===================================================================
--- npl/syn3/syn3_patches/syn3_patches.build	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/syn3/syn3_patches/syn3_patches.build	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -1,1 +1,1 @@
-6536
+6537
Index: npl/syn3/syn3_patches/syn3_patches.md5
===================================================================
--- npl/syn3/syn3_patches/syn3_patches.md5	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/syn3/syn3_patches/syn3_patches.md5	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -1,5 +1,5 @@
-a22ae044242b1a4a7677cda61f91dbe7  ./post.patches
+39962f1807e5f275d7a6d64bf82eb0ae  ./post.patches
 b173a5aec3c910b462afffd61a39aa32  ./root/var/lib/patches/README
-b93e9b3cf078fb43e2f296157a4b5f32  ./syn3_patches.pkg
+3460854ff7dc814052af546e013b42c5  ./syn3_patches.pkg
 6c062583fe22f5aa19b6ff6593149514  ./syn3_patches.SlackBuild
-5397fc931edff96ba294833e9ed5bef0  ./syn3_patches.SlackBuild.log.gz
+317ae5fef2ea62fc5e9c032c909fd3b3  ./syn3_patches.SlackBuild.log.gz
Index: npl/webapps/Trac/Trac.SlackBuild
===================================================================
--- npl/webapps/Trac/Trac.SlackBuild	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/webapps/Trac/Trac.SlackBuild	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -3,4 +3,6 @@
 #DEP:python_setuptools
 #DEP:python_Genshi
+#DEP:postgresql
+#DEP:python_pyPgSQL
 
 #######Essential package info.
Index: npl/webapps/Trac/Trac.build
===================================================================
--- npl/webapps/Trac/Trac.build	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/webapps/Trac/Trac.build	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -1,1 +1,1 @@
-5861
+5862
Index: npl/webapps/Trac/Trac.depver
===================================================================
--- npl/webapps/Trac/Trac.depver	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/webapps/Trac/Trac.depver	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -2,2 +2,4 @@
 python_setuptools	0
 python_Genshi	0
+postgresql	0
+python_pyPgSQL	0
Index: npl/webapps/Trac/Trac.md5
===================================================================
--- npl/webapps/Trac/Trac.md5	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/webapps/Trac/Trac.md5	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -6,7 +6,7 @@
 ff3a7d78099a269ae2035a6cf8adccbb  ./Trac-1.2.tar.gz
 e3985140b5bf7107e1d51277303c67b9  ./trac.conf
-6e1f0205e444d468644253c0e1e1581f  ./Trac.pkg
-4aef27ce983281fe691c4860346f4f8f  ./Trac.SlackBuild
-4b0b48d68324a814bd20f88f400770ae  ./Trac.SlackBuild.log.gz
+6ee7a4e1989f2e6a8fbfd49f3d715e3b  ./Trac.pkg
+9feb8a276a3dc561b787ad083239c90b  ./Trac.SlackBuild
+47a49d7e0636ec9dfcc91d7106eddcdc  ./Trac.SlackBuild.log.gz
 10b18fcfbdc8092690f8754dadea4dc8  ./trac.wsgi
 8b2637ff214bdfd68579630bd221e1a6  ./webportal/index.php
Index: npl/webapps/Trac/trac.wsgi
===================================================================
--- npl/webapps/Trac/trac.wsgi	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/webapps/Trac/trac.wsgi	(revision 8b8e03e70b5d6854f868ac922dbcbd5611284934)
@@ -2,5 +2,5 @@
 
 os.environ['TRAC_ENV_PARENT_DIR'] = '/home/system/trac'
-os.environ['PYTHON_EGG_CACHE'] = '/tmp/trac-egg-cache'
+os.environ['PYTHON_EGG_CACHE'] = '/tmp'
 
 import trac.web.main
Index: l/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.SlackBuild.dis
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.SlackBuild.dis	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,53 +1,0 @@
-#!/bin/bash
-# Generic python build script. (C)DatuX
-# Put in in a builddirectory with a python tarfile that contains a setup.py.
-# Please python_modulename for python modules.
-
-#DEP:python
-#DEP:python_setuptools
-
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.zip`
-
-#Version of the sourcefiles
-VER=0.11
-
-#Directory of the sourcefiles to build (after optional unpacking)
-SRC_DIR=*/0.11                                                           
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`uname -m`
-
-
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC || exit 1
-
-#apply patches
-#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
-
-pushd $SRC_DIR || exit 1
-python setup.py install --root=/tmp/pkg || exit 1
-popd
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-#move development stuff and create seperate development package
-syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
-syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
-
-#make main package
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
-
-
Index: l/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.arch
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.arch	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-i586
Index: l/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.build
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.build	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5657
Index: l/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.depver
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.depver	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-python	2
-python_setuptools	0
Index: l/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.md5
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.md5	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,4 +1,0 @@
-89cc79dbb54a1fb2eee9a74001f1fa84  ./Trac_tracticketdepgraph.SlackBuild
-45de91418094d0118227c54de4a05835  ./Trac_tracticketdepgraph.SlackBuild.log.gz
-ec1c438fc9510fae166a843c938a8ddd  ./Trac_tracticketdepgraph.pkg
-8c5f18612cd88f16763eea6e5fd60893  ./tracticketdepgraphplugin.zip
Index: l/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.version
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.version	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-0.11
Index: l/webapps/Trac_plugins/graphviz/Trac_graphviz.SlackBuild
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.SlackBuild	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,53 +1,0 @@
-#!/bin/bash
-# Generic python build script. (C)DatuX
-# Put in in a builddirectory with a python tarfile that contains a setup.py.
-# Please python_modulename for python modules.
-
-#DEP:python
-#DEP:python_setuptools
-
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.zip`
-
-#Version of the sourcefiles
-VER=0.11
-
-#Directory of the sourcefiles to build (after optional unpacking)
-SRC_DIR=*/0.11                                                           
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`uname -m`
-
-
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC || exit 1
-
-#apply patches
-#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
-
-pushd $SRC_DIR || exit 1
-python setup.py install --root=/tmp/pkg || exit 1
-popd
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-#move development stuff and create seperate development package
-syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
-syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
-
-#make main package
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
-
-
Index: l/webapps/Trac_plugins/graphviz/Trac_graphviz.arch
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.arch	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-i586
Index: l/webapps/Trac_plugins/graphviz/Trac_graphviz.build
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.build	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5657
Index: l/webapps/Trac_plugins/graphviz/Trac_graphviz.depver
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.depver	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-python	2
-python_setuptools	0
Index: l/webapps/Trac_plugins/graphviz/Trac_graphviz.md5
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.md5	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,4 +1,0 @@
-89cc79dbb54a1fb2eee9a74001f1fa84  ./Trac_graphviz.SlackBuild
-2b0bec284189821b53f0fb72f468c993  ./Trac_graphviz.SlackBuild.log.gz
-ab3a7f63d117a85b99a05fe6c6bc0c1d  ./Trac_graphviz.pkg
-0065d041a6a8d6c4be79bfa1887464ea  ./graphvizplugin.zip
Index: l/webapps/Trac_plugins/graphviz/Trac_graphviz.version
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.version	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-0.11
Index: l/webapps/Trac_plugins/mastertickets/Trac_mastertickets.SlackBuild.dis
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.SlackBuild.dis	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,53 +1,0 @@
-#!/bin/bash
-# Generic python build script. (C)DatuX
-# Put in in a builddirectory with a python tarfile that contains a setup.py.
-# Please python_modulename for python modules.
-
-#DEP:python
-#DEP:python_setuptools
-
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.zip`
-
-#Version of the sourcefiles
-VER=0.11
-
-#Directory of the sourcefiles to build (after optional unpacking)
-SRC_DIR=*/0.11                                                           
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`uname -m`
-
-
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC || exit 1
-
-#apply patches
-#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
-
-pushd $SRC_DIR || exit 1
-python setup.py install --root=/tmp/pkg || exit 1
-popd
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-#move development stuff and create seperate development package
-syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
-syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
-
-#make main package
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
-
-
Index: l/webapps/Trac_plugins/mastertickets/Trac_mastertickets.arch
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.arch	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-i586
Index: l/webapps/Trac_plugins/mastertickets/Trac_mastertickets.build
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.build	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5657
Index: l/webapps/Trac_plugins/mastertickets/Trac_mastertickets.depver
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.depver	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-python	2
-python_setuptools	0
Index: l/webapps/Trac_plugins/mastertickets/Trac_mastertickets.md5
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.md5	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,4 +1,0 @@
-89cc79dbb54a1fb2eee9a74001f1fa84  ./Trac_mastertickets.SlackBuild
-0aa7a3d92707772e6e5699eabc828d14  ./Trac_mastertickets.SlackBuild.log.gz
-6322b210357887ab07c6bf6b2f16650c  ./Trac_mastertickets.pkg
-d183b3adca14c9529b1caba085542687  ./masterticketsplugin.zip
Index: l/webapps/Trac_plugins/mastertickets/Trac_mastertickets.version
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.version	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-0.11
Index: l/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.SlackBuild.dis
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.SlackBuild.dis	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,53 +1,0 @@
-#!/bin/bash
-# Generic python build script. (C)DatuX
-# Put in in a builddirectory with a python tarfile that contains a setup.py.
-# Please python_modulename for python modules.
-
-#DEP:python
-#DEP:python_setuptools
-
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.zip`
-
-#Version of the sourcefiles
-VER=0.10
-
-#Directory of the sourcefiles to build (after optional unpacking)
-SRC_DIR=*/0.10
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`uname -m`
-
-
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC || exit 1
-
-#apply patches
-#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
-
-pushd $SRC_DIR || exit 1
-python setup.py install --root=/tmp/pkg || exit 1
-popd
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-#move development stuff and create seperate development package
-syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
-syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
-
-#make main package
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
-
-
Index: l/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.arch
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.arch	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-i586
Index: l/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.build
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.build	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5657
Index: l/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.depver
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.depver	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-python	2
-python_setuptools	0
Index: l/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.md5
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.md5	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,4 +1,0 @@
-c5678ec362c7dd473f9b253a46eb3697  ./Trac_wikinegotiator.SlackBuild
-e761775b1347a75e40e6e5316ef52b92  ./Trac_wikinegotiator.SlackBuild.log.gz
-dd7e21b0f06169671b0528ef19f568aa  ./Trac_wikinegotiator.pkg
-14fd6edad2fbb8ed664770b17de3067c  ./tracwikinegotiatorplugin.zip
Index: l/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.version
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.version	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-0.10