Index: npl/kernel/drbd8/drbd8.build
===================================================================
--- npl/kernel/drbd8/drbd8.build	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/drbd8/drbd8.build	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,1 +1,1 @@
-6571
+6572
Index: npl/kernel/drbd8/drbd8.depver
===================================================================
--- npl/kernel/drbd8/drbd8.depver	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/drbd8/drbd8.depver	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,3 +1,3 @@
 linux	0
-linux_src	5140120004
+linux_src	5140120005
 linux_headers	0
Index: npl/kernel/drbd8/drbd8.md5
===================================================================
--- npl/kernel/drbd8/drbd8.md5	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/drbd8/drbd8.md5	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,6 +1,6 @@
 8770e6c2ab88f6e50bac9be1926704f2  ./boot.drbd
-501b73ef7394ea2f77bda1951818a722  ./drbd8.pkg
+c1e145eb803de5b8c7c8faac8ab31728  ./drbd8.pkg
 ce3231aa6936e237b6a6a6193e6bfcaf  ./drbd8.SlackBuild
-00d2761b43b58836abc2ae5f0a5c668a  ./drbd8.SlackBuild.log.gz
+83fac145615111183dd765f44744029b  ./drbd8.SlackBuild.log.gz
 7aea41ce9a260371e6b6e5d254b7063b  ./post.drbd
 2e44be0727010c5da61039e63c7a2575  ./services.drbd
Index: npl/kernel/drv_i40e/drv_i40e.SlackBuild
===================================================================
--- npl/kernel/drv_i40e/drv_i40e.SlackBuild	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/drv_i40e/drv_i40e.SlackBuild	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -10,5 +10,5 @@
 mkdir $TMP
 
-VERSION=2.16.11
+VERSION=2.17.15
 
 ARCH=${ARCH:-i486}
Index: npl/kernel/initrd/initrd.build
===================================================================
--- npl/kernel/initrd/initrd.build	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/initrd/initrd.build	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,1 +1,1 @@
-6582
+6583
Index: npl/kernel/initrd/initrd.depver
===================================================================
--- npl/kernel/initrd/initrd.depver	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/initrd/initrd.depver	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -2,5 +2,5 @@
 xfsprogs	1
 linux	0
-linux_src	5140120004
+linux_src	5140120005
 lvm2	0
 pciutils	0
Index: npl/kernel/initrd/initrd.md5
===================================================================
--- npl/kernel/initrd/initrd.md5	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/initrd/initrd.md5	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,3 +1,3 @@
-a9f761833ede6f4e8a88170c0130a2b8  ./initrd.pkg
+a3a7e0745ea925c6f3b9c702267df086  ./initrd.pkg
 b7ea471d4047a7aec740f6d3ce24bee6  ./initrd.SlackBuild
 3c1ba83b906d1fe77db9175aefe6581c  ./post.initrd
Index: npl/kernel/linux/linux.build
===================================================================
--- npl/kernel/linux/linux.build	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/linux/linux.build	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,1 +1,1 @@
-6581
+6582
Index: npl/kernel/linux/linux.depver
===================================================================
--- npl/kernel/linux/linux.depver	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/linux/linux.depver	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,1 +1,1 @@
-linux_src	5140120004
+linux_src	5140120005
Index: npl/kernel/linux/linux.md5
===================================================================
--- npl/kernel/linux/linux.md5	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/linux/linux.md5	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,4 +1,4 @@
-a3ed111019a8383c37424997618127a1  ./linux.pkg
+cbddae21082c108173f770c338b95b58  ./linux.pkg
 67f6acaa0cb7027b29eed0b2e4cbea30  ./linux.SlackBuild
-89a4628f7e141cf98bdf6b7c6be00c6c  ./linux.SlackBuild.log.gz
+74c72e09c07a66e6bae80d2c4cf89cf3  ./linux.SlackBuild.log.gz
 7fe139c0b2be4f799bf8012284fef9ff  ./post.linux
Index: npl/kernel/linux_headers/linux_headers.build
===================================================================
--- npl/kernel/linux_headers/linux_headers.build	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/linux_headers/linux_headers.build	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,1 +1,1 @@
-6571
+6572
Index: npl/kernel/linux_headers/linux_headers.depver
===================================================================
--- npl/kernel/linux_headers/linux_headers.depver	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/linux_headers/linux_headers.depver	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,1 +1,1 @@
-linux_src	5140120004
+linux_src	5140120005
Index: npl/kernel/linux_headers/linux_headers.md5
===================================================================
--- npl/kernel/linux_headers/linux_headers.md5	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/linux_headers/linux_headers.md5	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,3 +1,3 @@
-abcc1b243d62f968214619fa5cc6c240  ./linux_headers.pkg
+aa0fd294bdcd24a24e89959115dfe712  ./linux_headers.pkg
 04dfe34ce19c0041114e4676b22ebd61  ./linux_headers.SlackBuild
-c1805e67663072470de0a90267781dc0  ./linux_headers.SlackBuild.log.gz
+d12570807f0503ced49b75ad96650745  ./linux_headers.SlackBuild.log.gz
Index: npl/kernel/linux_headers/linux_headers.version
===================================================================
--- npl/kernel/linux_headers/linux_headers.version	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/linux_headers/linux_headers.version	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,1 +1,1 @@
-5.14.12
+5.14.12_bigmem_syn3
Index: npl/kernel/linux_src/config
===================================================================
--- npl/kernel/linux_src/config	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/linux_src/config	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -2118,5 +2118,6 @@
 CONFIG_BONDING=m
 CONFIG_DUMMY=m
-# CONFIG_WIREGUARD is not set
+CONFIG_WIREGUARD=m
+# CONFIG_WIREGUARD_DEBUG is not set
 # CONFIG_EQUALIZER is not set
 # CONFIG_NET_FC is not set
@@ -4662,13 +4663,15 @@
 CONFIG_CRYPTO_LIB_AES=y
 CONFIG_CRYPTO_LIB_ARC4=m
-# CONFIG_CRYPTO_LIB_BLAKE2S is not set
+CONFIG_CRYPTO_LIB_BLAKE2S_GENERIC=m
+CONFIG_CRYPTO_LIB_BLAKE2S=m
 CONFIG_CRYPTO_LIB_CHACHA_GENERIC=m
-# CONFIG_CRYPTO_LIB_CHACHA is not set
-# CONFIG_CRYPTO_LIB_CURVE25519 is not set
+CONFIG_CRYPTO_LIB_CHACHA=m
+CONFIG_CRYPTO_LIB_CURVE25519_GENERIC=m
+CONFIG_CRYPTO_LIB_CURVE25519=m
 CONFIG_CRYPTO_LIB_DES=m
 CONFIG_CRYPTO_LIB_POLY1305_RSIZE=1
 CONFIG_CRYPTO_LIB_POLY1305_GENERIC=m
-# CONFIG_CRYPTO_LIB_POLY1305 is not set
-# CONFIG_CRYPTO_LIB_CHACHA20POLY1305 is not set
+CONFIG_CRYPTO_LIB_POLY1305=m
+CONFIG_CRYPTO_LIB_CHACHA20POLY1305=m
 CONFIG_CRYPTO_LIB_SHA256=m
 CONFIG_CRYPTO_HW=y
Index: npl/kernel/linux_src/linux_src.build
===================================================================
--- npl/kernel/linux_src/linux_src.build	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/linux_src/linux_src.build	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,1 +1,1 @@
-6589
+6591
Index: npl/kernel/linux_src/linux_src.depver
===================================================================
--- npl/kernel/linux_src/linux_src.depver	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
+++ npl/kernel/linux_src/linux_src.depver	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -0,0 +1,1 @@
+openssl	5
Index: npl/kernel/linux_src/linux_src.major
===================================================================
--- npl/kernel/linux_src/linux_src.major	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/linux_src/linux_src.major	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,2 +1,2 @@
-5140120004
+5140120005
 
Index: npl/kernel/linux_src/linux_src.md5
===================================================================
--- npl/kernel/linux_src/linux_src.md5	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/linux_src/linux_src.md5	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,4 +1,4 @@
 8e12dfcbf36f937747e1fb36b115c14b  ./4200_fbcondecor.patch
-75024cff15c3c91d122e6a2948259d54  ./config
+37312241e4d0ddaaed1db8ce6a9449a1  ./config
 580fdf2704779952beee1c84784ec5d4  ./configsyn3
 f7dc68ab549b1ba378cf83ec574fa724  ./fbcondecor-5.10.patch
@@ -8,7 +8,7 @@
 a082ef5748b813abca0649dab8be5f52  ./linux-5.14.tar.xz
 72e4cc0000ef96e1c1766f1f231e79d1  ./linux-5.9-imq.patch
-893d307244dff1fdc68f26698e2e98ee  ./linux_src.pkg
+b2bcb6b88cfbb62b02ffd90bf7cde7b3  ./linux_src.pkg
 f49c6e36d588a59bdf266ceadf8d7928  ./linux_src.SlackBuild
-1995a2bc8439babbacb6810b5b967408  ./linux_src.SlackBuild.log.gz
+a1db499e53ccc4cb23f6bb6cb30a3be6  ./linux_src.SlackBuild.log.gz
 67928983c499e1bca70005677c119765  ./patch-4.14.206.xz
 abe6c2e8f921432bb73be0d6bdb5e791  ./patch-5.10.73.xz
Index: npl/kernel/open_vm_tools/open_vm_tools.build
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.build	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/open_vm_tools/open_vm_tools.build	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,1 +1,1 @@
-6571
+6572
Index: npl/kernel/open_vm_tools/open_vm_tools.depver
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.depver	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/open_vm_tools/open_vm_tools.depver	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,4 +1,4 @@
 linux	0
-linux_src	5140120004
+linux_src	5140120005
 glib2	2
 procps_ng	0
Index: npl/kernel/open_vm_tools/open_vm_tools.md5
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.md5	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/open_vm_tools/open_vm_tools.md5	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,5 +1,5 @@
 2af26884a7ac37f63a8dd46da91ce205  ./open-vm-tools-10.3.5-10430147.tar.gz
-54fa42499251082eb6ae6b441953fca7  ./open_vm_tools_dev.pkg
-f16d326e18f275fee39854ca9fda775f  ./open_vm_tools.pkg
+efb54ab6c29053bb7e310ca269a70e23  ./open_vm_tools_dev.pkg
+617a1edb00d2a137dcf0a7f81258b17e  ./open_vm_tools.pkg
 ca02f86a7073e3008815c2ba435a9082  ./open_vm_tools.SlackBuild
-7fcc0b03adf5b60e4abda62108896e31  ./open_vm_tools.SlackBuild.log.gz
+70ebfea43c010883973c84644fa752cb  ./open_vm_tools.SlackBuild.log.gz
Index: npl/kernel/open_vm_tools/open_vm_tools_dev.build
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools_dev.build	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
+++ npl/kernel/open_vm_tools/open_vm_tools_dev.build	(revision 9c06000239d38efbeaa3a6c0168397f383e643c1)
@@ -1,1 +1,1 @@
-6571
+6572