Index: npl/overig/file/file.SlackBuild
===================================================================
--- npl/overig/file/file.SlackBuild	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
+++ npl/overig/file/file.SlackBuild	(revision 30f002ac2029d6d958666676cd0836079ca87a9c)
@@ -3,5 +3,5 @@
 # Automaticly created by importpackage v1.0
 # Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/a/file/
-# Created at Thu Jul  6 14:29:22 CEST 2017
+# Created at Thu Nov 19 22:22:59 CET 2020
 
 
Index: npl/overig/file/file.SlackBuild.orig
===================================================================
--- npl/overig/file/file.SlackBuild.orig	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
+++ npl/overig/file/file.SlackBuild.orig	(revision 30f002ac2029d6d958666676cd0836079ca87a9c)
@@ -1,5 +1,5 @@
-#!/bin/sh
+#!/bin/bash
 
-# Copyright 2005-2008, 2009, 2010, 2013, 2015  Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2008, 2009, 2010, 2013, 2015, 2018, 2019  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
 #
@@ -21,8 +21,11 @@
 #  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=file
 VERSION=${VERSION:-$(echo file-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
 BUILD=${BUILD:-1}
 
-NUMJOBS=${NUMJOBS:--j7}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
 
 # Automatically determine the architecture we're building on:
@@ -34,4 +37,12 @@
        *) export ARCH=$( uname -m ) ;;
   esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
 fi
 
@@ -50,5 +61,4 @@
 fi
 
-CWD=$(pwd)
 TMP=${TMP:-/tmp}
 PKG=$TMP/package-file
@@ -63,12 +73,12 @@
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-  -exec chmod 755 {} \; -o \
+  -exec chmod 755 {} \+ -o \
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-  -exec chmod 644 {} \;
+  -exec chmod 644 {} \+
 
 # Make the default data directory /etc/file like it has always been:
 zcat $CWD/file.etc.file.diff.gz | patch -p1 --verbose || exit 1
 # This is needed after the patch above:
-autoreconf || exit 1
+autoreconf -vif || exit 1
 
 # Since we're going to include the compiled magic database now (otherwise
@@ -82,4 +92,8 @@
 # versions of file to avoid breaking existing scripts:
 zcat $CWD/file.short.diff.gz | patch -p1 -E --verbose || exit 1
+
+# Output on ELF objects should be "dynamically linked" for PT_DYNAMIC too, not
+# just for PT_INTERP:
+zcat $CWD/file.PT_DYNAMIC.is.dynamically.linked.diff.gz | patch -p1 -E --verbose || exit 1
 
 # Add zisofs and crda regulatory bin detection
@@ -107,4 +121,7 @@
 make install DESTDIR=$PKG || exit 1
 
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
 # Ignore for now - still labeled as experimental
 # Actually, let's ignore it until something needs it  :)  <volkerdi>
@@ -122,4 +139,5 @@
 mkdir -p $PKG/etc/file/magic
 cp -a magic/Magdir/* $PKG/etc/file/magic
+chmod 644 $PKG/etc/file/magic/*
 
 # Add a script to recompile the flat files in the obvious location.
@@ -137,9 +155,9 @@
 
 # Strip everything for good measure:
-find $PKG | xargs file | grep -e "executable" -e "shared object" \
-  | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ # | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
 
 ( cd $PKG/usr/man || exit 1
-  find . -type f -exec gzip -9 {} \;
+  find . -type f -exec gzip -9 {} \+
   for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
 )
Index: npl/overig/file/file.build
===================================================================
--- npl/overig/file/file.build	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
+++ npl/overig/file/file.build	(revision 30f002ac2029d6d958666676cd0836079ca87a9c)
@@ -1,1 +1,1 @@
-6156
+6157
Index: npl/overig/file/file.md5
===================================================================
--- npl/overig/file/file.md5	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
+++ npl/overig/file/file.md5	(revision 30f002ac2029d6d958666676cd0836079ca87a9c)
@@ -1,15 +1,16 @@
 80362548cdf529ea3ec83eab148c7572  ./doinst.sh.gz
-4676f6f3b2d25e05e0b0147a03d25970  ./file-5.31.tar.xz
+94485814a8cd04ffe9e879f0695e0dea  ./file-5.39.tar.lz
 e44387a21f9847f0ff3b1c74deff8bdf  ./file.crdaregbin.magic.gz
-e1e6455b2de8c11276bdde91c629bebf  ./file_dev.pkg
+4a43e3e267dc94d47852e150acffed05  ./file_dev.pkg
 29ee5a5acfcc82346b17cc35bb3acbec  ./file.etc.file.diff.gz
-03b8137248300a058ad80e0e3fb2249f  ./file.pkg
+fb50f51e47ba642ba528327671644a1c  ./file.pkg
+9300560a5e810a80cdab76b9eb8d0580  ./file.PT_DYNAMIC.is.dynamically.linked.diff.gz
 652847e073fbca6df77c6696ac4c69e1  ./file.quiet.diff.gz
 f020cd0ec342bea06b34116ddcd99232  ./file.short.diff.gz
-ef4a98a45b0505fcdad8d14203c66569  ./file.SlackBuild
-3a23f80e6586eefb7eb1af9525cf2c4e  ./file.SlackBuild.log.gz
-124612aafee1040ce8ac02244bbc654a  ./file.SlackBuild.orig
+daa89d8f244d6388d4d7dc9f3a34f954  ./file.SlackBuild
+599ddfbc0d731828413b65b6a6640932  ./file.SlackBuild.log.gz
+e283c429fac458099895f002bb91e4ae  ./file.SlackBuild.orig
 a6e8dc289abcf6c796e2d4e8dff41b08  ./file.xz.magic.gz
 de45e4cbf64268d44dafc52db3b7a696  ./file.zisofs.magic.gz
 efd81ad886482c4a1f35e3e97d04329c  ./recompile_magic.mgc.sh.gz
-1ce145ce51e5475077c6d036ed2ebb90  ./slack-desc
+35fe7bf1f85bdbcb353b9d1a49d23f7a  ./slack-desc
Index: npl/overig/file/file.version
===================================================================
--- npl/overig/file/file.version	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
+++ npl/overig/file/file.version	(revision 30f002ac2029d6d958666676cd0836079ca87a9c)
@@ -1,1 +1,1 @@
-5.31
+5.39
Index: npl/overig/file/file_dev.build
===================================================================
--- npl/overig/file/file_dev.build	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
+++ npl/overig/file/file_dev.build	(revision 30f002ac2029d6d958666676cd0836079ca87a9c)
@@ -1,1 +1,1 @@
-6156
+1
Index: npl/overig/file/file_dev.version
===================================================================
--- npl/overig/file/file_dev.version	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
+++ npl/overig/file/file_dev.version	(revision 30f002ac2029d6d958666676cd0836079ca87a9c)
@@ -1,1 +1,1 @@
-5.31
+5.39
Index: npl/overig/file/slack-desc
===================================================================
--- npl/overig/file/slack-desc	(revision 3c9eb901f9fb9829ef182a8a84523daa7a4113df)
+++ npl/overig/file/slack-desc	(revision 30f002ac2029d6d958666676cd0836079ca87a9c)
@@ -1,7 +1,7 @@
 # HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
+# The "handy ruler" below makes it easier to edit a package description. Line
 # up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
 # customary to leave one space after the ':'.
 
@@ -12,5 +12,5 @@
 file: Christos Zoulas has been file's maintainer since 1994.
 file:
-file: Home FTP site:  ftp://ftp.astron.com/pub/file/
+file: Home FTP site: ftp://ftp.astron.com/pub/file/
 file:
 file: