Index: npl/fileserver/samba/pytalloc-util.pc
===================================================================
--- npl/fileserver/samba/pytalloc-util.pc	(revision 1f5b3302ffae18ec66f531cf9daa18ccd35d5294)
+++ 	(revision )
@@ -1,11 +1,0 @@
-prefix=/usr
-exec_prefix=${prefix}
-libdir=${prefix}/lib
-includedir=${prefix}/include
-
-Name: pytalloc-util
-Description: Utility functions for using talloc objects with Python
-Version: 2.0.8
-Libs: -L${libdir} -lpytalloc-util
-Cflags: -Wl,-rpath,/usr/lib -I${includedir}
-URL: http://talloc.samba.org/
Index: npl/fileserver/samba/samba-4.7.6.tar.asc
===================================================================
--- npl/fileserver/samba/samba-4.7.6.tar.asc	(revision 80c0fb95f6dfa51222f72cdf18db46cf0f11f37c)
+++ npl/fileserver/samba/samba-4.7.6.tar.asc	(revision 80c0fb95f6dfa51222f72cdf18db46cf0f11f37c)
@@ -0,0 +1,6 @@
+-----BEGIN PGP SIGNATURE-----
+
+iFwEABECABwFAlqmQKUVHHNhbWJhLWJ1Z3NAc2FtYmEub3JnAAoJEG8zkVtlaLfq
+DRUAn0+x5lwXSs4cHl4n7JGswhlU6ojoAJ9vz7smF9DQXp4UfFfBzOKuAJgE6g==
+=egbm
+-----END PGP SIGNATURE-----
Index: npl/fileserver/samba/samba.SlackBuild
===================================================================
--- npl/fileserver/samba/samba.SlackBuild	(revision 1f5b3302ffae18ec66f531cf9daa18ccd35d5294)
+++ npl/fileserver/samba/samba.SlackBuild	(revision 80c0fb95f6dfa51222f72cdf18db46cf0f11f37c)
@@ -1,7 +1,7 @@
 #!/bin/bash
 
-# Automaticly created by importpackage
-# Imported from: http://mirror.nl.leaseweb.net/slackware/slackware-current/source/n/samba/
-# Created at Mon Jun  1 14:53:58 CEST 2015
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/n/samba/
+# Created at Wed Mar 14 11:38:43 CET 2018
 
 #DEP:gnutls
Index: npl/fileserver/samba/samba.SlackBuild.orig
===================================================================
--- npl/fileserver/samba/samba.SlackBuild.orig	(revision 1f5b3302ffae18ec66f531cf9daa18ccd35d5294)
+++ npl/fileserver/samba/samba.SlackBuild.orig	(revision 80c0fb95f6dfa51222f72cdf18db46cf0f11f37c)
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-# Copyright 2008, 2009, 2010, 2012, 2013, 2015, 2016  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2012, 2013, 2015, 2016, 2017  Patrick J. Volkerding, Sebeka, Minnesota, USA
 # All rights reserved.
 #
@@ -24,6 +24,6 @@
 
 
-VERSION=${VERSION:-$(echo samba-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo samba-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
 
 if [ -e $CWD/machine.conf ]; then
@@ -68,20 +68,8 @@
 mkdir -p $TMP $PKG
 
-if [ -r /usr/lib${LIBDIRSUFFIX}/libtalloc.so.? -a ! -r /var/log/packages/talloc* ]; then
-  echo "The Samba package needs to be removed before building to ensure that"
-  echo "talloc (and possibly other bundled libraries) are included in the build."
-  echo
-  echo "Removing the Samba package in 15 seconds, and then continuing with the build."
-  sleep 15
-  removepkg samba
-fi
-
 cd $TMP
 rm -rf samba-$VERSION
-tar xvf $CWD/samba-$VERSION.tar.gz || exit 1
+tar xvf $CWD/samba-$VERSION.tar.?z || exit 1
 cd samba-$VERSION || exit 1
-
-# Patch to install talloc/tevent/tdb libraries and includes:
-zcat $CWD/samba.install.talloc.tevent.tdb.diff.gz | patch -p1 --verbose || exit 1
 
 if [ ! -d source3/lib/cmdline ]; then
@@ -133,5 +121,5 @@
   --with-ads \
   --without-pam \
-  --build=$TARGET
+  --build=$TARGET || exit 1
   # Gives errors:
   #--builtin-libraries=replace,ccan \
@@ -139,6 +127,6 @@
 
 # -j options don't seem to work... [Yes they do!  At least try to use -j below...]
-JOBS=1
-MAXJOBS=20
+JOBS=6
+MAXJOBS=6
 export JOBS MAXJOBS
 make -j $MAXJOBS || make || exit 1
@@ -174,6 +162,6 @@
 chmod 644 $PKG/etc/rc.d/rc.samba.new
 
-#mv $PKG/usr/share/man $PKG/usr
-#gzip -9 $PKG/usr/man/man?/*.?
+# mv $PKG/usr/share/man $PKG/usr
+# gzip -9 $PKG/usr/man/man?/*.?
 
 find $PKG | xargs file | grep -e "executable" -e "shared object" \
@@ -181,11 +169,11 @@
 
 # PAM related stuff we don't use:
-#rm -r $PKG/usr/share/locale
+# rm -r $PKG/usr/share/locale
 rm -f $PKG/usr/man/man8/pam*
 
 cp -a \
-  COPYING* PFIF.txt README* \
-  Roadmap WHATSNEW.txt docs examples \
-  $PKG/usr/doc/samba-$VERSION
+  COPYING* MAINTAINERS Manifest PFIF.txt README* \
+  Read-Manifest-Now Roadmap WHATSNEW.txt docs examples \
+  $PKG/usr/doc/samba-$VERSION || true
 # These are installed elsewhere:
 rm -rf $PKG/usr/doc/samba-$VERSION/docs/htmldocs \
@@ -216,3 +204,2 @@
 cd $PKG
 /sbin/makepkg -l y -c n $TMP/samba-$VERSION-$ARCH-$BUILD.txz
-
Index: npl/fileserver/samba/samba.build
===================================================================
--- npl/fileserver/samba/samba.build	(revision 1f5b3302ffae18ec66f531cf9daa18ccd35d5294)
+++ npl/fileserver/samba/samba.build	(revision 80c0fb95f6dfa51222f72cdf18db46cf0f11f37c)
@@ -1,1 +1,1 @@
-6527
+1
Index: npl/fileserver/samba/samba.md5
===================================================================
--- npl/fileserver/samba/samba.md5	(revision 1f5b3302ffae18ec66f531cf9daa18ccd35d5294)
+++ npl/fileserver/samba/samba.md5	(revision 80c0fb95f6dfa51222f72cdf18db46cf0f11f37c)
@@ -1,15 +1,14 @@
 5ebfd56dc5c3086e7922b5b4756dc28f  ./doinst.sh.gz
-31fa0fb150a1fe9aa45b3c939c7e4e93  ./pytalloc-util.pc
 a8da7559824fe5889f2dad4cc1825742  ./rc.samba
-79d820efee339bac1254f076c871407b  ./samba-4.4.14.tar.gz
-df4a165466550093bf29165246579a35  ./samba_dev.pkg
-f547bd49a0a7ae7786d8515b06f78502  ./samba.install.talloc.tevent.tdb.diff.gz
-746544a9d5c503f94b1e45ca7f0aa546  ./samba.pkg
-099ca329d62d83c20cc3e1f01853f952  ./samba.SlackBuild
-82e39aa437cbbf3538419f0786bd13bc  ./samba.SlackBuild.log.gz
-2fb09b1ddbc7adbf08a4d7ab70bda8a1  ./samba.SlackBuild.orig
-1ae206e7d1c5aa07a096ea0369ad3fa2  ./slack-desc
-7538ea0c84bffe914ab86b5d0a697358  ./smb.conf.default
-c4cf580d33547a8bc90d805721100eeb  ./smb.conf.default.orig
-e0ecba555c5d20ed08abe5c0ed11d8d7  ./smb.conf.diff.gz
-8b927a377b54e5e3a0839eabb945e969  ./talloc.pc
+b352dcf6abbf65fce22e41beeb3c961a  ./samba-4.7.6.tar.asc
+30d0dd76e05b7597b6978359b6b91327  ./samba-4.7.6.tar.lz
+d874b9b5ee8ab6eddc9ba6c289160cf3  ./samba_dev.pkg
+a89d16e509ac5b2fcd39d962b9d0d1d3  ./samba.pkg
+732f422a8c9878f8bd653addc42fedb2  ./samba.SlackBuild
+3a779e4826f7233980db96844568842f  ./samba.SlackBuild.log.gz
+c60272b22da6960fac151083daba2dd4  ./samba.SlackBuild.orig
+bc188a5b62be66eb283635f825e1973f  ./samba.url
+fa71b1a88b94bc7030ac36c0e2aefa7e  ./slack-desc
+98cdbfc570e872438a03266433537bab  ./smb.conf.default
+25979b7571c1cf2e79ae9a0f9e676c8a  ./smb.conf.default.orig
+0ba50b84247cc76c287e2b70ce9bb4ab  ./smb.conf.diff.gz
Index: npl/fileserver/samba/samba.url
===================================================================
--- npl/fileserver/samba/samba.url	(revision 80c0fb95f6dfa51222f72cdf18db46cf0f11f37c)
+++ npl/fileserver/samba/samba.url	(revision 80c0fb95f6dfa51222f72cdf18db46cf0f11f37c)
@@ -0,0 +1,2 @@
+https://download.samba.org/pub/samba/stable/samba-4.7.6.tar.gz
+https://download.samba.org/pub/samba/stable/samba-4.7.6.tar.asc
Index: npl/fileserver/samba/samba.version
===================================================================
--- npl/fileserver/samba/samba.version	(revision 1f5b3302ffae18ec66f531cf9daa18ccd35d5294)
+++ npl/fileserver/samba/samba.version	(revision 80c0fb95f6dfa51222f72cdf18db46cf0f11f37c)
@@ -1,1 +1,1 @@
-4.4.14
+4.7.6
Index: npl/fileserver/samba/samba_dev.build
===================================================================
--- npl/fileserver/samba/samba_dev.build	(revision 1f5b3302ffae18ec66f531cf9daa18ccd35d5294)
+++ npl/fileserver/samba/samba_dev.build	(revision 80c0fb95f6dfa51222f72cdf18db46cf0f11f37c)
@@ -1,1 +1,1 @@
-6527
+1
Index: npl/fileserver/samba/samba_dev.version
===================================================================
--- npl/fileserver/samba/samba_dev.version	(revision 1f5b3302ffae18ec66f531cf9daa18ccd35d5294)
+++ npl/fileserver/samba/samba_dev.version	(revision 80c0fb95f6dfa51222f72cdf18db46cf0f11f37c)
@@ -1,1 +1,1 @@
-4.4.14
+4.7.6
Index: npl/fileserver/samba/slack-desc
===================================================================
--- npl/fileserver/samba/slack-desc	(revision 1f5b3302ffae18ec66f531cf9daa18ccd35d5294)
+++ npl/fileserver/samba/slack-desc	(revision 80c0fb95f6dfa51222f72cdf18db46cf0f11f37c)
@@ -1,7 +1,7 @@
 # HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
+# The "handy ruler" below makes it easier to edit a package description. Line
 # up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
 # customary to leave one space after the ':'.
 
@@ -9,10 +9,10 @@
 samba: samba (CIFS file and print server)
 samba:
-samba: Samba is a CIFS file and print server for CIFS clients.  It allows
+samba: Samba is a CIFS file and print server for CIFS clients. It allows
 samba: you to make file space or printers on a Samba host available to CIFS
 samba: clients (such as PCs running Windows).
 samba:
 samba: If you have any Windows file servers, you may be able to replace them
-samba: or supplement them with Samba.  One of Samba's big strengths is
+samba: or supplement them with Samba. One of Samba's big strengths is
 samba: integration, so you can use it to tie together your Linux hosts and
 samba: Windows PC clients.
Index: npl/fileserver/samba/smb.conf.default
===================================================================
--- npl/fileserver/samba/smb.conf.default	(revision 1f5b3302ffae18ec66f531cf9daa18ccd35d5294)
+++ npl/fileserver/samba/smb.conf.default	(revision 80c0fb95f6dfa51222f72cdf18db46cf0f11f37c)
@@ -34,5 +34,5 @@
 # directory domain controller".
 #
-# Most people will want "standalone sever" or "member server".
+# Most people will want "standalone server" or "member server".
 # Running as "active directory domain controller" will require first
 # running "samba-tool domain provision" to wipe databases and create a
Index: npl/fileserver/samba/smb.conf.default.orig
===================================================================
--- npl/fileserver/samba/smb.conf.default.orig	(revision 1f5b3302ffae18ec66f531cf9daa18ccd35d5294)
+++ npl/fileserver/samba/smb.conf.default.orig	(revision 80c0fb95f6dfa51222f72cdf18db46cf0f11f37c)
@@ -34,5 +34,5 @@
 # directory domain controller".
 #
-# Most people will want "standalone sever" or "member server".
+# Most people will want "standalone server" or "member server".
 # Running as "active directory domain controller" will require first
 # running "samba-tool domain provision" to wipe databases and create a
Index: npl/fileserver/samba/talloc.pc
===================================================================
--- npl/fileserver/samba/talloc.pc	(revision 1f5b3302ffae18ec66f531cf9daa18ccd35d5294)
+++ 	(revision )
@@ -1,11 +1,0 @@
-prefix=/usr
-exec_prefix=${prefix}
-libdir=${prefix}/lib
-includedir=${prefix}/include
-
-Name: talloc 
-Description: A hierarchical pool based memory system with destructors
-Version: 2.0.8
-Libs: -Wl,-rpath,/usr/lib -L${libdir} -ltalloc
-Cflags: -I${includedir} 
-URL: http://talloc.samba.org/